=== man/CMakeLists.txt ===
# Fill manpage template with version and date
# TODO maybe use tools like help2man to automate manpage, considering this is mostly a --help message ?
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/kissplice.in.1" "${CMAKE_CURRENT_BINARY_DIR}/kissplice.1" @ONLY)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/kissplice.1" DESTINATION "${CMAKE_INSTALL_MANDIR}/man1")
