=== tests/CMakeLists.txt ===
ADD_SUBDIRECTORY(integration_tests)
ADD_SUBDIRECTORY(functional_tests)

add_test(IsBcalmStartable "${BUILD_INTERNAL_BINDIR}/bcalm" -help)
