=== debian/changelog ===
kissplice (2.6.2-2) unstable; urgency=medium

  * Team upload.

  [ Eric Long ]
  * Add build target for riscv64.
    Closes: #1027357

 -- Sascha Steinbiss <satta@debian.org>  Fri, 20 Jan 2023 19:37:26 +0100

kissplice (2.6.2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 30 Jun 2022 16:27:19 +0200

kissplice (2.6.1-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Upstream moved to https://gitlab.inria.fr
  * New upstream version
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Build-Depends: texlive-latex-base

  [ Francois Gindraud ]
  * Update dependencies
  * Remove gcc10 patch
  * Replace redirection script with symlink to bcalm
  * New upstream version
  * Use generated doc and upsteam manpage

 -- Francois Gindraud <francois.gindraud@inria.fr>  Wed, 06 Apr 2022 16:19:49 +0200
