=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

#
#   cc1plus: error: '-Wformat-security' ignored without '-Wformat' [-Werror=format-security]
#export DEB_CPPFLAGS_MAINT_APPEND = -Wno-unused-result -Wno-parentheses -Wno-error=format-security

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Force texlive to respect SOURCE_DATE_EPOCH for reproducibility of pdf user guide
export FORCE_SOURCE_DATE=1

include /usr/share/dpkg/default.mk

%:
	dh $@ --with python3

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_INSTALL_LIBEXECDIR=lib/

override_dh_compress:
	dh_compress --exclude=.pdf

override_dh_install:
	rm -rf debian/$(DEB_SOURCE)/usr/README.md debian/$(DEB_SOURCE)/build debian/$(DEB_SOURCE)/builds
	rm -f debian/$(DEB_SOURCE)/usr/lib/kissplice/bcalm
	mkdir -p debian/$(DEB_SOURCE)/usr/share/$(DEB_SOURCE)
	mv debian/$(DEB_SOURCE)/usr/bin/kissplice debian/$(DEB_SOURCE)/usr/share/$(DEB_SOURCE)/kissplice.py

override_dh_auto_clean:
	dh_auto_clean
	find . -name __pycache__/ -type d | xargs rm -rf
