=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto" \
  https://gitlab.inria.fr/erable/kissplice/-/tags .*/@PACKAGE@-@ANY_VERSION@\.tar\.gz
