=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 option(
     USER_GUIDE
     "compile and install a pdf user_guide ; requires pdflatex and standard latex packages"
-    ON
+    OFF
 )
 if (USER_GUIDE)
     find_package(LATEX)
