=== tests/CMakeLists.txt ===
ADD_SUBDIRECTORY(integration_tests)
ADD_SUBDIRECTORY(functional_tests)
