=== thirdparty/CMakeLists.txt ===
add_subdirectory(kissreads)
