=== thirdparty/kissreads/src/CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,6 @@
 # kissreads requirements
 find_package(ZLIB REQUIRED) # imports the ZLIB::ZLIB target
 find_package(OpenMP) # for CMake 3.9+, import targets OpenMP::OpenMP_<lang>
-if(DEFINED OpenMP_CXX_FLAGS AND NOT TARGET OpenMP::OpenMP_CXX)
-  # For older CMake emulate target (https://cliutils.gitlab.io/modern-cmake/chapters/packages/OpenMP.html)
-  find_package(Threads REQUIRED)
-  add_library(OpenMP::OpenMP_CXX IMPORTED INTERFACE)
-  set_property(TARGET OpenMP::OpenMP_CXX PROPERTY INTERFACE_COMPILE_OPTIONS ${OpenMP_CXX_FLAGS})
-  set_property(TARGET OpenMP::OpenMP_CXX PROPERTY INTERFACE_LINK_LIBRARIES ${OpenMP_CXX_FLAGS} Threads::Threads)
-endif()
 
 # Get parent directory for a nicer alternative to "../include"
 get_property(PARENT_DIRECTORY DIRECTORY PROPERTY PARENT_DIRECTORY)
