=== debian/changelog ===
kissplice (2.6.7-2) unstable; urgency=medium

  * Team upload.
  * d/rules: make tests sequential. (Closes: #1104392)
  * d/control: declare compliance to standards version 4.7.2.
  * tests-2to3.patch: normalize Last-Update timestamp.

 -- Étienne Mollier <emollier@debian.org>  Wed, 30 Apr 2025 21:27:51 +0200

kissplice (2.6.7-1) unstable; urgency=medium

  $ Team upload
  * Advertising repacking with +dfsg suffix for upcoming upstream versions
  * Shipping the Python file directly in /usr/bin, not symlinking to
    /usr/share/kissplice anymore
  * Adding internal binaries in a subdir of /usr/lib/${DEB_HOST_MULTIARCH}

  [ François Gindraud ]
  * Propagate upstream build system changes for bcalm and guide
  * Fix dh_auto_clean

  [ Andreas Tille ]
  * New upstream version
    Closes: #1073482, #1074658
  * Standards-Version: 4.7.0 (routine-update)

 -- Pierre Gruet <pgt@debian.org>  Wed, 07 Aug 2024 17:30:12 +0200

kissplice (2.6.2-3) unstable; urgency=medium

  * Add build support for loongarch64
    Closes: #1058716
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  Use secure URI in Homepage field.
  Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Tue, 09 Jan 2024 20:32:24 +0100
