=== debian/control ===
--- 
+++ 
@@ -5,21 +5,21 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                cmake,
                python3-dev,
                libpython3-stdlib,
                zlib1g-dev,
                texlive-latex-recommended,
                bcalm <!nocheck>
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/kissplice
 Vcs-Git: https://salsa.debian.org/med-team/kissplice.git
-Homepage: http://kissplice.prabi.fr/
+Homepage: https://kissplice.prabi.fr/
 Rules-Requires-Root: no
 
 Package: kissplice
-Architecture: any-amd64 any-arm64 any-mips64 any-mips64el any-ia64 any-ppc64 any-ppc64el any-sparc64 riscv64
+Architecture: any-amd64 any-arm64 any-mips64 any-mips64el any-ia64 any-ppc64 any-ppc64el any-sparc64 loong64 riscv64
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python3:Depends},
