=== debian/rules ===
--- 
+++ 
@@ -16,20 +16,22 @@
 include /usr/share/dpkg/default.mk
 
 %:
-	dh $@ --with python3
+	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DCMAKE_INSTALL_LIBEXECDIR=lib/
+	dh_auto_configure -- -DCMAKE_INSTALL_LIBEXECDIR=lib/$(DEB_HOST_MULTIARCH) -DUSER_GUIDE=ON
+
+override_dh_auto_test:
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	dh_auto_test --no-parallel
+endif
 
 override_dh_compress:
 	dh_compress --exclude=.pdf
 
 override_dh_install:
 	rm -rf debian/$(DEB_SOURCE)/usr/README.md debian/$(DEB_SOURCE)/build debian/$(DEB_SOURCE)/builds
-	rm -f debian/$(DEB_SOURCE)/usr/lib/kissplice/bcalm
-	mkdir -p debian/$(DEB_SOURCE)/usr/share/$(DEB_SOURCE)
-	mv debian/$(DEB_SOURCE)/usr/bin/kissplice debian/$(DEB_SOURCE)/usr/share/$(DEB_SOURCE)/kissplice.py
 
 override_dh_auto_clean:
 	dh_auto_clean
-	find . -name __pycache__/ -type d | xargs rm -rf
+	find . -name __pycache__ -type d | xargs rm -rf
