=== debian/watch ===
version=4

opts="searchmode=plain, repack, repacksuffix=+dfsg, compression=xz, dversionmangle=auto" \
 https://gitlab.inria.fr/erable/@PACKAGE@/tags?sort=updated_desc -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
